.add-image-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  font-family: inherit;
  min-width: 250px;
  max-width: 600px;
}

.input-row {
  flex-direction: column;
  gap: 0.2rem;
}

input,
textarea {
  --color-bg: #f2e2cf;
  font-family: inherit;
  font-size: inherit;
  background-color: inherit;
  border-color: var(--color-secondary);
  background-color: var(--color-bg);
  padding: 0.5rem;
  outline: 0;
  border-width: 0;
  border-bottom-width: 1px;
  border-bottom-color: var(--color-bg);
}

input[type="file"] {
  width: 100%;
}

input::file-selector-button {
  cursor: pointer;
  font-family: inherit;
  font-size: inherit;
  font-weight: bold;
  min-width: 125px;
  padding: 0.5rem;
  border-width: 1px;
  border-radius: var(--base-border-radius);
  color: var(--color-accent);
  background-color: var(--color-secondary);
}

textarea {
  resize: vertical;
  min-height: 3rem;
  max-height: 500px;
}

/* Adapted from https://stackoverflow.com/a/37465540 (Posted by dippas) */
input:focus,
textarea:focus {
  border-bottom-width: 1px;
  border-color: var(--color-secondary);
}

.btn-primary {
  font-family: inherit;
  font-size: inherit;
  font-weight: bold;
  min-width: 125px;
  padding: 0.5rem;
  border-width: 1px;
  border-radius: var(--base-border-radius);
  color: var(--color-accent);
  background-color: var(--color-secondary);
}

button:hover {
  color: var(--color-secondary);
  background-color: var(--color-accent);
}
